package com.chenyang.nse.bussiness.interfaces;

import java.io.IOException;
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.HashMap;

public class Click {
   public static void main(String[] args) {
      try {
         IHiveRMI iRmi = (IHiveRMI)Naming.lookup("rmi://192.168.2.111:6666/My_RMI");
         new ArrayList();

         for(HashMap<String, String> hashMap : iRmi.getHdfsList("/data/transwarp4.8/", "hive", "hdfs://nameservice1/")) {
            if (!"".equals(hashMap.get("path"))) {
               System.out.println((String)hashMap.get("path"));
            }
         }
      } catch (MalformedURLException e) {
         e.printStackTrace();
      } catch (RemoteException e) {
         e.printStackTrace();
      } catch (NotBoundException e) {
         e.printStackTrace();
      } catch (IOException e) {
         e.printStackTrace();
      }

   }
}
